import { ContractData } from '../schema/index.js';
export declare function parseContract(cache: ContractData, data: ContractData): void;
export declare function alert_on_full_endorsement(): void;
export declare function check_endorsement_sig(pubkey: string, signature: string): void;
export declare function check_pubkeys_match(...pubkeys: string[]): void;
export declare function check_group_keys(): void;
export declare function check_partial_sig(): void;
export declare function check_taproot_tweak(): void;
export declare function check_tx_inputs(): void;
export declare function check_tx_claims(): void;
export declare function check_tx_fees(): void;
export declare function check_tx_payments(): void;
export declare function check_tx_total(): void;
//# sourceMappingURL=parse.d.ts.map