import { z } from 'zod';
export type DetailData = z.infer<typeof data>;
export type DetailTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    expires: z.ZodDefault<z.ZodNumber>;
    quorum: z.ZodOptional<z.ZodObject<{
        members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
        size: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        members?: [string, number][] | undefined;
        size?: number | undefined;
    }, {
        members?: [string, number | undefined][] | undefined;
        size?: number | undefined;
    }>>;
    return: z.ZodString;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    value: number;
    expires: number;
    return: string;
    quorum?: {
        members?: [string, number][] | undefined;
        size?: number | undefined;
    } | undefined;
}, {
    value: number;
    return: string;
    expires?: number | undefined;
    quorum?: {
        members?: [string, number | undefined][] | undefined;
        size?: number | undefined;
    } | undefined;
}>;
declare const data: z.ZodObject<{
    value: z.ZodNumber;
    expires: z.ZodDefault<z.ZodNumber>;
    quorum: z.ZodOptional<z.ZodObject<{
        members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
        size: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        members?: [string, number][] | undefined;
        size?: number | undefined;
    }, {
        members?: [string, number | undefined][] | undefined;
        size?: number | undefined;
    }>>;
    return: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    value: number;
    expires: number;
    return: string;
    quorum?: {
        members?: [string, number][] | undefined;
        size?: number | undefined;
    } | undefined;
}, {
    pubkey: string;
    value: number;
    return: string;
    expires?: number | undefined;
    quorum?: {
        members?: [string, number | undefined][] | undefined;
        size?: number | undefined;
    } | undefined;
}>;
export declare const DetailSchema: {
    data: z.ZodObject<{
        value: z.ZodNumber;
        expires: z.ZodDefault<z.ZodNumber>;
        quorum: z.ZodOptional<z.ZodObject<{
            members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
            size: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            members?: [string, number][] | undefined;
            size?: number | undefined;
        }, {
            members?: [string, number | undefined][] | undefined;
            size?: number | undefined;
        }>>;
        return: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        value: number;
        expires: number;
        return: string;
        quorum?: {
            members?: [string, number][] | undefined;
            size?: number | undefined;
        } | undefined;
    }, {
        pubkey: string;
        value: number;
        return: string;
        expires?: number | undefined;
        quorum?: {
            members?: [string, number | undefined][] | undefined;
            size?: number | undefined;
        } | undefined;
    }>;
    template: z.ZodObject<{
        expires: z.ZodDefault<z.ZodNumber>;
        quorum: z.ZodOptional<z.ZodObject<{
            members: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, z.ZodDefault<z.ZodNumber>], null>, "many">>;
            size: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            members?: [string, number][] | undefined;
            size?: number | undefined;
        }, {
            members?: [string, number | undefined][] | undefined;
            size?: number | undefined;
        }>>;
        return: z.ZodString;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        value: number;
        expires: number;
        return: string;
        quorum?: {
            members?: [string, number][] | undefined;
            size?: number | undefined;
        } | undefined;
    }, {
        value: number;
        return: string;
        expires?: number | undefined;
        quorum?: {
            members?: [string, number | undefined][] | undefined;
            size?: number | undefined;
        } | undefined;
    }>;
};
export {};
//# sourceMappingURL=details.d.ts.map