import { ContractRouter } from './contract.js';
import { MembersRouter } from './access.js';
import { ProfileRouter } from './propose.js';
import { SignatureRouter } from './signatures.js';
type Fetcher = typeof fetch;
export declare class EscrowRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    get contract(): ContractRouter;
    get members(): MembersRouter;
    get proposal(): ProfileRouter;
    get signatures(): SignatureRouter;
}
export {};
//# sourceMappingURL=index.d.ts.map