import { z } from 'zod';
export type AgentData = z.infer<typeof data>;
declare const data: z.ZodObject<{
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
        address: z.ZodString;
        label: z.ZodString;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        value: number;
        address: string;
        label: string;
    }, {
        value: number;
        address: string;
        label: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    nonce: string;
    fees: {
        value: number;
        address: string;
        label: string;
    }[];
}, {
    pubkey: string;
    nonce: string;
    fees?: {
        value: number;
        address: string;
        label: string;
    }[] | undefined;
}>;
export declare const AgentSchema: {
    data: z.ZodObject<{
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        fees: z.ZodDefault<z.ZodArray<z.ZodObject<{
            address: z.ZodString;
            label: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            value: number;
            address: string;
            label: string;
        }, {
            value: number;
            address: string;
            label: string;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        nonce: string;
        fees: {
            value: number;
            address: string;
            label: string;
        }[];
    }, {
        pubkey: string;
        nonce: string;
        fees?: {
            value: number;
            address: string;
            label: string;
        }[] | undefined;
    }>;
};
export {};
//# sourceMappingURL=agent.d.ts.map